;*********************************************************************************************
;	Tetris on the Vanguard hardware from Rock-Ola (Vanguard game was 
;	made 1981 by the SNK Corporation)

;	Great fun to program such an old arcade machine !!

;	Norbert Kehrer, October 1998

;	In this file we define some data.

;*********************************************************************************************



;**************************************************
;	**** Strings
;**************************************************

str_game_over	db	"GAME  OVER", 0
str_game_over1	db	"          ", 0
str_field0	db	$21, "          ", $21,0
str_field1	db	$60, "          ", $60,0
str_field2	db	$62,$61,$61,$61,$61,$61,$61,$61,$61,$61,$61,$63,0
str_field3	db	$64, "          ", $64,0

str_next	db	$3A," NEXT", 0
str_score	db	"SCORE 00000000", 0
str_hi_score	db	"HIGH  00000000", 0
str_credits	db	"CREDITS 0", 0
str_vantris1	db	$c0, $c1, $c2, $c3, $c4, $c5, $c6, $c7, $c8, $c9, $ca, $cb, $cc, $cd, 0
str_vantris2	db	$e0, $e1, $e2, $e3, $e4, $e5, $e6, $e7, $e8, $e9, $ea, $eb, $ec, $ed, 0
str_by		db	"BY", 0
str_norbert	db	"NORBERT KEHRER", 0


;**************************************************
;	**** Block descriptions
;**************************************************		

;			x, y, char	  image

block_0		db	1, 0, 1		; .X..
		db	1, 1, 5		; .X..
		db	1, 2, 5		; .X..
		db	1, 3, 3		; .X..

		db	0, 1, 2		; ....
		db	1, 1, 6		; XXXX
		db	2, 1, 6		; ....
		db	3, 1, 4		; ....

		db	1, 0, 1		; .X..
		db	1, 1, 5		; .X..
		db	1, 2, 5		; .X..
		db	1, 3, 3		; .X..

		db	0, 1, 2		; ....
		db	1, 1, 6		; XXXX
		db	2, 1, 6		; ....
		db	3, 1, 4		; ....

block_1		db	1, 0, 1		; .X..
		db	1, 1, 5		; .X..
		db	1, 2, 7		; .XX.
		db	2, 2, 4		; ....

		db	0, 1, 9		; ....
		db	1, 1, 6		; XXX.
		db	2, 1, 4		; X...
		db	0, 2, 3		; ....

		db	0, 0, 2		; XX..
		db	1, 0, 10	; .X..
		db	1, 1, 5		; .X..
		db	1, 2, 3		; ....

		db	0, 1, 2		; ..X.
		db	1, 1, 6		; XXX.
		db	2, 1, 8		; ....
		db	2, 0, 1		; ....

block_2		db	1, 0, 1		; .X..
		db	1, 1, 5		; .X..
		db	1, 2, 8		; XX..
		db	0, 2, 2		; ....

		db	0, 1, 7		; X...
		db	1, 1, 6		; XXX.
		db	2, 1, 4		; ....
		db	0, 0, 1		; ....

		db	1, 0, 9		; .XX.
		db	2, 0, 4		; .X..
		db	1, 1, 5		; .X..
		db	1, 2, 3		; ....

		db	2, 2, 3		; ....
		db	0, 1, 2		; XXX.
		db	1, 1, 6		; ..X.
		db	2, 1, 10	; ....

block_3		db	1, 0, 1		; .X..
		db	1, 1, 11	; .XX.
		db	1, 2, 3		; .X..
		db	2, 1, 4		; ....

		db	0, 1, 2		; ....
		db	1, 1, 13	; XXX.
		db	2, 1, 4		; .X..
		db	1, 2, 3		; ....

		db	1, 0, 1		; .X..
		db	1, 1, 12	; XX..
		db	1, 2, 3		; .X..
		db	0, 1, 2		; ....

		db	0, 1, 2		; .X..
		db	1, 1, 14	; XXX.
		db	2, 1, 4		; ....
		db	1, 0, 1		; ....

block_4		db	0, 0, 9		; XX..
		db	0, 1, 7		; XX..
		db	1, 0, 10	; ....
		db	1, 1, 8		; ....

		db	0, 0, 9		; XX..
		db	0, 1, 7		; XX..
		db	1, 0, 10	; ....
		db	1, 1, 8		; ....

		db	0, 0, 9		; XX..
		db	0, 1, 7		; XX..
		db	1, 0, 10	; ....
		db	1, 1, 8		; ....

		db	0, 0, 9		; XX..
		db	0, 1, 7		; XX..
		db	1, 0, 10	; ....
		db	1, 1, 8		; ....

block_5		db	1, 0, 1		; .X..
		db	1, 1, 8		; XX..
		db	0, 1, 9		; X...
		db	0, 2, 3		; ....

		db	0, 1, 2		; ....
		db	1, 1, 10	; XX..
		db	1, 2, 7		; .XX.
		db	2, 2, 4		; ....

		db	1, 0, 1		; .X..
		db	1, 1, 8		; XX..
		db	0, 1, 9		; X...
		db	0, 2, 3		; ....

		db	0, 1, 2		; ....
		db	1, 1, 10	; XX..
		db	1, 2, 7		; .XX.
		db	2, 2, 4		; ....

block_6		db	0, 0, 1		; X...
		db	0, 1, 7		; XX..
		db	1, 1, 10	; .X..
		db	1, 2, 3		; ....

		db	0, 1, 2		; .XX.
		db	1, 0, 9		; XX..
		db	1, 1, 8		; ....
		db	2, 0, 4		; ....

		db	0, 0, 1		; X...
		db	0, 1, 7		; XX..
		db	1, 1, 10	; .X..
		db	1, 2, 3		; ....

		db	0, 1, 2		; .XX.
		db	1, 0, 9		; XX..
		db	1, 1, 8		; ....
		db	2, 0, 4		; ....


;**************************************************
;	**** Block colors
;**************************************************		

block_color	db 0, 1, 2, 3, 4, 5, 6


;**************************************************
;	**** Change of block characters above/below a deleted row
;**************************************************		

after_below	db 0, 1, 2, 15, 4, 1, 6, 2, 4, 9, 10, 9, 10, 13, 6, 15, 16
		db 17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32

after_above	db 0, 15, 2, 3, 4, 3, 6, 7, 8, 2, 4, 7, 8, 6, 14, 15, 16
		db 17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32



;**************************************************
;	**** Random number array for block types
;**************************************************		

block_type_arr	db 5, 1, 2, 4, 2, 3, 1, 6, 0, 6, 6, 2, 2, 4, 5, 1
		db 4, 6, 2, 0, 2, 3, 3, 3, 2, 6, 1, 5, 5, 5, 2, 1
		db 1, 5, 6, 4, 0, 6, 0, 3, 2, 0, 0, 0, 6, 3, 4, 1
		db 6, 4, 5, 3, 6, 6, 4, 1, 2, 5, 2, 1, 2, 4, 4, 0
		db 2, 4, 4, 1, 5, 0, 2, 5, 6, 0, 1, 1, 0, 0, 3, 1
		db 4, 3, 1, 5, 4, 6, 6, 6, 1, 2, 2, 4, 5, 0, 2, 0
		db 4, 3, 3, 6, 2, 4, 0, 4, 4, 6, 6, 4, 4, 5, 4, 2
		db 6, 3, 3, 3, 3, 3, 4, 5, 3, 3, 0, 2, 1, 0, 1, 0
		db 1, 6, 4, 4, 4, 4, 0, 0, 3, 0, 0, 6, 3, 2, 5, 5
		db 5, 3, 3, 3, 3, 4, 4, 6, 0, 6, 6, 6, 6, 3, 6, 2
		db 0, 6, 2, 2, 3, 0, 2, 3, 0, 5, 4, 0, 6, 0, 6, 2
		db 6, 2, 3, 5, 1, 5, 0, 6, 3, 0, 4, 4, 5, 1, 3, 2
		db 1, 1, 3, 0, 4, 6, 1, 1, 6, 1, 5, 5, 2, 3, 6, 5
		db 6, 2, 6, 4, 4, 1, 2, 3, 2, 6, 0, 1, 0, 4, 4, 5
		db 6, 3, 4, 0, 0, 0, 1, 5, 5, 3, 1, 1, 2, 6, 0, 3
		db 6, 5, 1, 1, 4, 1, 3, 2, 1, 0, 3, 1, 3, 1, 0, 1



